const eslintConfig = require("./common");

const hostEslintConfig = ({ rules = {}, tsconfigRootDir = "" }) => {
  return eslintConfig({
    tsconfigRootDir,
    extendsOverrides: ["../.eslintrc.js"],
    overrideRules: {
      "@bigbinary/neeto/no-missing-localization": "warn",
      "@bigbinary/neeto/use-standard-date-time-formats": "warn",
      "@bigbinary/neeto/no-dangling-constants": "off",
      "@bigbinary/neeto/use-webpack-alias": "off",
      ...rules,
    },
  });
};

module.exports = hostEslintConfig;
